6.0.0-git
2019-04-21

[#11891] kronolith doesnt show turba events
Summary kronolith doesnt show turba events
Queue Turba
Queue Version 4.0.1
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester ron (at) insweb (dot) dyndns (dot) org
Created 2012-12-14 (2319 days ago)
Due 12/14/2012 (2319 days ago)
Updated 2013-12-17 (1951 days ago)
Assigned 2013-08-27 (2063 days ago)
Resolved 2013-11-20 (1978 days ago)
Milestone 4.2
Patch No

History
2013-12-17 11:40:17 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit a18da4c19e169aae4e97376490c58c40f22654a9
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Nov 20 14:35:06 2013 -0500

     We need a normalized format for date fields when using SQL storage.

     Final fix for Bug: 11891

  turba/lib/Driver.php            |   36 +++++++++++++++++++++++++++++++-----
  turba/lib/Driver/Facebook.php   |    5 ++++-
  turba/lib/Driver/Favourites.php |    5 ++++-
  turba/lib/Driver/Group.php      |    5 ++++-
  turba/lib/Driver/Imsp.php       |    5 +++--
  turba/lib/Driver/Kolab.php      |   10 +++++++---
  turba/lib/Driver/Ldap.php       |   10 +++++++---
  turba/lib/Driver/Prefs.php      |   17 ++++++++++++++---
  turba/lib/Driver/Share.php      |   16 ++++++++++------
  turba/lib/Driver/Sql.php        |   29 +++++++++++++++++++++--------
  turba/lib/Driver/Vbook.php      |    7 +++++--
  11 files changed, 110 insertions(+), 35 deletions(-)

http://git.horde.org/horde-git/-/commit/a18da4c19e169aae4e97376490c58c40f22654a9
2013-12-17 11:40:13 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit ff223337ef9cda3f5954e390ea033a28ee8a59f0
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Wed Nov 20 14:34:04 2013 -0500

     Let Horde_Date worry about the format.

     Fixes Bug: 11891 when not using SQL storage.

  turba/lib/Driver.php |   14 ++++++--------
  1 files changed, 6 insertions(+), 8 deletions(-)

http://git.horde.org/horde-git/-/commit/ff223337ef9cda3f5954e390ea033a28ee8a59f0
2013-11-20 19:40:20 Michael Rubinsky Comment #4
Taken from Jan Schneider
State ⇒ Resolved
Milestone ⇒ 4.2
Reply to this comment
2013-08-27 10:44:04 Jan Schneider Assigned to Jan Schneider
Assigned to Michael Rubinsky
State ⇒ Assigned
 
2012-12-19 08:14:06 ron (at) insweb (dot) dyndns (dot) org Comment #3 Reply to this comment
Why are you changing the 'format_in' property?
I need this format in openldap to be able to sync with LDAPeople. It 
supports only '%Y%m%d'
2012-12-17 18:42:42 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Why are you changing the 'format_in' property?
2012-12-14 21:26:41 ron (at) insweb (dot) dyndns (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ kronolith doesnt show turba events
Due ⇒ 2012-12-14
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
After setting '%Y%m%d' format, kronolith does not longer show events 
like birthdays stored in the address book (turba), with  '%Y-%m-%d' it 
works.

/turba/config/attributes.local.php
<?php

$attributes['birthday'] = array(
     'label' => _("Birthday"),
     'type' => 'monthdayyear',
     'required' => false,
     'params' => array('start_year' => 1900, 'end_year' => null, 
'picker' => true, 'format_in' => '%Y%m%d', 'format_out' => 
$GLOBALS['prefs']->getValue('date_format')),
     'time_object_label' => _("Birthdays"),
);
$attributes['anniversary'] = array(
     'label' => _("Anniversary"),
     'type' => 'monthdayyear',
     'params' => array('start_year' => 1900, 'end_year' => null, 
'picker' => true, 'format_in' => '%Y%m%d', 'format_out' => 
$GLOBALS['prefs']->getValue('date_format')),
     'required' => false,
     'time_object_label' => _("Anniversaries"),
);


/turba/config/backends.php

<?php
/**
  * A personal LDAP address book. This assumes that the login is
  * <username>@domain.com and that the users are stored on the same LDAP
  * server. Thus it is possible to bind with the username and password from the
  * user. For more info; please refer to the docs/LDAP file in the Turba
  * distribution.
  *
  * To store distribution lists in the LDAP directory, you'll need to include
  * horde.schema from Horde in your LDAP configuration.
  *
  * To store freebusy information in the LDAP directory, you'll need to include
  * rfc2739.schema from Horde in your LDAP configuration.
  */
/* First we need to get the uid. */
$_ldap_uid = $GLOBALS['registry']->getAuth('bare');
$_ldap_basedn = 'dc=insweb.dyndns.org';
$cfgSources['personal_ldap'] = array(
     // Disabled by default
     'disabled' => false,
     'title' => _("My Address Book"),
     'type' => 'ldap',
     'params' => array(
         'server' => 'localhost',
         'port' => 389,
         'tls' => false,
         'root' => 'ou=' . $_ldap_uid . ',ou=personal,ou=addressbook,' 
. $_ldap_basedn,
         'bind_dn' => 'uid=' . $_ldap_uid . ',ou=user,' . $_ldap_basedn,
         'bind_password' => 
$GLOBALS['registry']->getAuthCredential('password'),
         'sizelimit' => 200,
         'dn' => array('cn'),
         'objectclass' => array('top',
                                'person',
                                'inetOrgPerson',
                                'turbaContact',
                                'organizationalPerson',
                                'evolutionPerson',
                                'calEntry'),
         'scope' => 'one',
         'charset' => 'utf-8',
         'checkrequired' => true,
         'checkrequired_string' => ' ',
         'checksyntax' => false,
         'version' => 3
     ),
     'map' => array(
         '__key' => 'dn',
         '__uid' => 'uid',

         // From horde.schema:
         '__type' => 'turbaType',
         '__members' => 'turbaMembers',

         'name' => 'cn',
         'emails' => 'mail',
         'lastname' => 'sn',
         'firstname' => 'givenName',
         'photo' => 'jpegPhoto',
         'nickname' => 'displayName',
         'birthday' => 'birthDate',
         'anniversary' => 'anniversary',
         'spouse' => 'spouseName',
         'title' => 'title',
         'company' => 'o',
         'businessCategory' => 'businesscategory',
         'workAddress' => 'postaladdress',
         'workPostalCode' => 'postalcode',
         'workPhone' => 'telephonenumber',
         'pager' => 'pager',
         'fax' => 'facsimiletelephonenumber',
         'homeAddress' => 'homepostaladdress',
         'homeCountry' => 'st',
         'homePhone' => 'homephone',
         'cellPhone' => 'mobile',
         'fax' => 'facsimiletelephonenumber',
         'notes' => 'description',

         // Evolution interopt attributes: (those that do not require the
         // evolution.schema)
         'office' => 'roomNumber',
         'department' => 'ou',
         'website' => 'labeledURI',

         // These are not stored on the LDAP server.
         'pgpPublicKey' => 'userPKCS12',
         'smimePublicKey' => 'userSMIMECertificate',

         // From rfc2739.schema:
         'freebusyUrl' => 'calFBURL',
     ),
     'search' => array(
         'name',
         'email',
         'businessCategory',
         'title',
         'homePhone',
         'workPhone',
         'cellPhone',
         'homeAddress'
     ),
     'strict' => array(
         'dn', 'uid'
     ),
     'approximate' => array(
         'cn',
     ),
     'export' => true,
     'browse' => true,
);

/**
  * A local address book in an LDAP directory. This implements a public
  * (shared) address book.
  *
  * To store distribution lists in the LDAP directory, you'll need to include
  * horde.schema from Horde in your LDAP configuration.
  *
  * To store freebusy information in the LDAP directory, you'll need to include
  * rfc2739.schema from Horde in your LDAP configuration.
  */
$cfgSources['localldap'] = array(
     // Disabled by default
     'disabled' => false,
     'title' => _("Shared Addressbook"),
     'type' => 'ldap',
     'params' => array(
         'server' => 'localhost',
         'port' => 389,
         'tls' => false,
         'root' => 'ou=shared,ou=addressbook,' . $_ldap_basedn,
         'bind_dn' => 'uid=' . $_ldap_uid . ',ou=user,' . $_ldap_basedn,
         'bind_password' => 
$GLOBALS['registry']->getAuthCredential('password'),
         'sizelimit' => 200,
         // For Active Directory:
         // 'sizelimit' => 0,
         'dn' => array('cn'),
         'objectclass' => array('top',
                                'person',
                                'inetOrgPerson',
                                'turbaContact',
                                'organizationalPerson',
                                'evolutionPerson',
                                'calEntry'),
         'scope' => 'one',
         // For Active Directory:
         // 'scope' => 'sub',
         'charset' => 'utf-8',
         // Consult the LDAP schema to verify that all required attributes for
         // an entry are set and add them if needed.
         'checkrequired' => true,
         // Value used to fill in missing required attributes.
         'checkrequired_string' => ' ',
         // Check LDAP schema for valid syntax. If this is false an address
         // field is assumed to have postalAddress syntax; otherwise the schema
         // is consulted for the syntax to use.
         'checksyntax' => false,
         'version' => 3,

     ),
     'map' => array(
         '__key' => 'dn',
         '__uid' => 'uid',

         // From horde.schema:
         '__type' => 'turbaType',
         '__members' => 'turbaMembers',

         'name' => 'cn',
         'emails' => 'mail',
         'lastname' => 'sn',
         'firstname' => 'givenName',
         'photo' => 'jpegPhoto',
         'nickname' => 'displayName',
         'birthday' => 'birthDate',
         'anniversary' => 'anniversary',
         'spouse' => 'spouseName',
         'title' => 'title',
         'company' => 'o',
         'businessCategory' => 'businesscategory',
         'workAddress' => 'postaladdress',
         'workPostalCode' => 'postalcode',
         'workPhone' => 'telephonenumber',
         'pager' => 'pager',
         'fax' => 'facsimiletelephonenumber',
         'homeAddress' => 'homepostaladdress',
         'homeCountry' => 'st',
         'homePhone' => 'homephone',
         'cellPhone' => 'mobile',
         'fax' => 'facsimiletelephonenumber',
         'notes' => 'description',

         // Evolution interopt attributes: (those that do not require the
         // evolution.schema)
         'office' => 'roomNumber',
         'department' => 'ou',
         'website' => 'labeledURI',

         // These are not stored on the LDAP server.
         'pgpPublicKey' => 'userPKCS12',
         'smimePublicKey' => 'userSMIMECertificate',

         // From rfc2739.schema:
         'freebusyUrl' => 'calFBURL',
     ),
     'search' => array(
         'name',
         'email',
         'homePhone',
         'workPhone',
         'cellPhone',
         'homeAddress'
     ),
     'strict' => array(
         'dn', 'uid'
     ),
     'approximate' => array(
         'cn',
     ),
     // For Active Directory servers:
     // 'approximate' => array(
     //     'displayname',
     //     'samaccountname',
     // ),
     'export' => true,
     'browse' => true,
);

Saved Queries